---
title: Growing Dill
date: '2022-01-07'
lastmod: '2022-01-07'
tags: ['Aerogarden', 'Herbs', 'Daily Blog']
draft: false
summary: I have been growing some dill and other herbs in my Areogarden and decided to make a dill yogurt sauce for rice bowels.
images: ['/static/images/blog2022/herbs_dill.jpeg']
authors: ['default']
layout: PostLayout
---
![Thanksgiving Plate](/static/images/blog2022/herbs_dill.jpeg)


## Aerogarden Dill
I have a Aerogarden and I have some dill growing (out of control) and so I have been harvesting and drying it out.
I don't cook with dill all that much, but I did find a yogurt based sauce to use with maybe a rice dish or some sort 
or maybe meatballs which is what I used mine for.


- 2 Tablespoons of lime juice
- 1/2 cup non-fat greek yogurt
- 1/4 cup low fat mayo (I leave this out often) 
- 3/4 Teaspoon garlic powder
- 3/4 Teaspoon onion powder
- 1/2 Teaspoon dried dill
- 1/4 Teaspoon salt/pepper
- 1 pinch of sugar


